×

INDI Library v1.9.7 Released (29 Jul 2022)

Bi-monthly INDI Library released with new drivers and bug fixes.

AX-GTi error messages on start of Ekos

  • Posts: 28
  • Thank you received: 0
Transmit with receive
2 months 2 weeks ago #84122

Please Log in or Create an account to join the conversation.

I'm using AZ-GTI in hotspot mode and it seems very reliable, zero disconnections. But you can use it in USB mode.
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
2 months 2 weeks ago #84123

Please Log in or Create an account to join the conversation.

  • Posts: 28
  • Thank you received: 0
Unfortunately as I stated I’m not using the AZ/GTi I’m using the Skywatcher Sky Discovery (big mistake).
Thanks for the help, the error message on connecting has been removed
Regards
Paul
2 months 2 weeks ago #84124

Please Log in or Create an account to join the conversation.

  • Posts: 28
  • Thank you received: 0
Big problem
I setup the mount with my Canon 650D and tried to connect, indi driver for Canon crashed (also tried Ghoto).
I have attached a log.
I can go back to a backed up version, but I'm concerned that someone else has built this version
Regards
Paul

File Attachment:

File Name: log_15-28-00.txt
File Size:18 KB
2 months 2 weeks ago #84130
Attachments:

Please Log in or Create an account to join the conversation.

That's to be expected after building INDI library, you also need to build INDI 3rd party drivers: github.com/indilib/indi-3rdparty
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
2 months 2 weeks ago #84131

Please Log in or Create an account to join the conversation.

  • Posts: 21
  • Thank you received: 0
Jasem,
I attempted the update_indi_core but it failed. According to the Stellarmate software updater this is version 1.7.1 stable channel. I hadn't used the device since last March, so 4 months ago. I did a full update and rebooted before running this update_indi_core command:

Setting up manpages-dev (4.16-2) ...
Setting up libgsl-dev (2.5+dfsg-6) ...
Setting up libcfitsio-dev:armhf (3.450-3) ...
Setting up libfftw3-bin (3.3.8-2) ...
Setting up libalgorithm-diff-perl (1.19.03-2) ...
Setting up libnova-dev-bin (0.16-4) ...
Setting up libnova-dev:armhf (0.16-4) ...
Setting up libusb-1.0-doc (2:1.0.22-2) ...
Setting up libjbig-dev:armhf (2.1-3.1+b2) ...
Setting up linux-libc-dev:armhf (1:1.20220308~buster-1) ...
Setting up libusb-1.0-0-dev:armhf (2:1.0.22-2) ...
Setting up libcurl4-gnutls-dev:armhf (7.64.0-4+deb10u2) ...
Setting up libfakeroot:armhf (1.23-1) ...
Setting up dpkg-dev (1.19.8) ...
Setting up fakeroot (1.23-1) ...
update-alternatives: using /usr/bin/fakeroot-sysv to provide /usr/bin/fakeroot (fakeroot) in auto mode
Setting up liberror-perl (0.17027-2) ...
Setting up libasan5:armhf (8.3.0-6+rpi1) ...
Setting up libuv1:armhf (1.24.1-1+deb10u1) ...
Setting up liblzma-dev:armhf (5.2.4-1+deb10u1) ...
Setting up libubsan1:armhf (8.3.0-6+rpi1) ...
Setting up librhash0:armhf (1.3.8-1) ...
Setting up git-man (1:2.20.1-2+deb10u3) ...
Setting up cmake-data (3.16.3-3~bpo10+1) ...
Setting up libc-dev-bin (2.28-10+rpt2+rpi1) ...
Setting up libalgorithm-diff-xs-perl (0.04-5+b1) ...
Setting up libfftw3-dev:armhf (3.3.8-2) ...
Setting up libcfitsio-doc (3.450-3) ...
Setting up libcc1-0:armhf (8.3.0-6+rpi1) ...
Setting up libjsoncpp1:armhf (1.7.4-3) ...
Setting up libtiffxx5:armhf (4.1.0+git191117-2~deb10u4) ...
Setting up libalgorithm-merge-perl (0.08-3) ...
Setting up git (1:2.20.1-2+deb10u3) ...
Setting up libgcc-8-dev:armhf (8.3.0-6+rpi1) ...
Setting up cmake (3.16.3-3~bpo10+1) ...
Setting up libc6-dev:armhf (2.28-10+rpt2+rpi1) ...
Setting up libstdc++-8-dev:armhf (8.3.0-6+rpi1) ...
Setting up gcc-8 (8.3.0-6+rpi1) ...
Setting up gcc (4:8.3.0-1+rpi2) ...
Setting up libjpeg62-turbo-dev:armhf (1:1.5.2-2+deb10u1) ...
Setting up zlib1g-dev:armhf (1:1.2.11.dfsg-1+deb10u1) ...
Setting up g++-8 (8.3.0-6+rpi1) ...
Setting up libjpeg-dev (1:1.5.2-2+deb10u1) ...
Setting up libtiff-dev:armhf (4.1.0+git191117-2~deb10u4) ...
Setting up g++ (4:8.3.0-1+rpi2) ...
update-alternatives: using /usr/bin/g++ to provide /usr/bin/c++ (c++) in auto mode
Setting up build-essential (12.6) ...
Processing triggers for man-db (2.8.5-2) ...
Processing triggers for libc-bin (2.28-10+rpt2+rpi1) ...
ldconfig: file /usr/lib/arm-linux-gnueabihf/libmtpricoh.so.9 is truncated

ldconfig: file /usr/lib/arm-linux-gnueabihf/libRicohCameraSDKCpp.so.1.1.0 is truncated

ldconfig: file /usr/lib/arm-linux-gnueabihf/libRicohCameraSDKCpp.so is truncated

ldconfig: file /usr/lib/arm-linux-gnueabihf/libmtpricoh.so is truncated

ldconfig: file /usr/lib/arm-linux-gnueabihf/libmtpricoh.so.9.3.0 is truncated

ldconfig: file /usr/lib/arm-linux-gnueabihf/libRicohCameraSDKCpp.so.1 is truncated

Cloning into 'indi'...
remote: Enumerating objects: 875, done.
remote: Counting objects: 100% (875/875), done.
remote: Compressing objects: 100% (725/725), done.
remote: Total 875 (delta 209), reused 506 (delta 136), pack-reused 0
Receiving objects: 100% (875/875), 2.70 MiB | 4.18 MiB/s, done.
Resolving deltas: 100% (209/209), done.
-- The C compiler identification is GNU 8.3.0
-- The CXX compiler identification is GNU 8.3.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Performing Test COMPATIBLE_FORTIFY_SOURCE
-- Performing Test COMPATIBLE_FORTIFY_SOURCE - Success
fatal: No names found, cannot describe anything.
-- Looking for mremap
-- Looking for mremap - found
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD - Failed
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
CMake Error at cmake_modules/FindPackageHandleStandardArgs.cmake:148 (message):
Could NOT find Libev (missing: LIBEV_LIBRARY LIBEV_INCLUDE_DIR)
Call Stack (most recent call first):
cmake_modules/FindPackageHandleStandardArgs.cmake:388 (_FPHSA_FAILURE_MESSAGE)
cmake_modules/FindLibev.cmake:36 (find_package_handle_standard_args)
CMakeLists.txt:155 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/stellarmate/Projects/build/indi-core/CMakeFiles/CMakeOutput.log".
See also "/home/stellarmate/Projects/build/indi-core/CMakeFiles/CMakeError.log".
make: *** No targets specified and no makefile found. Stop.
make: *** No rule to make target 'install'. Stop.
stellarmate@stellarmate:~ $
2 months 2 weeks ago #84139

Please Log in or Create an account to join the conversation.

Try this first:
sudo apt-get -y install libev-dev

Then run update_indi_core
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
2 months 2 weeks ago #84152

Please Log in or Create an account to join the conversation.

  • Posts: 28
  • Thank you received: 0
Good morning
Managed to get some testing time. Did get an issue with tracking;
1 issue goto
2 loosen clutches point to target
3 sync
4 tracking speed increases and moves back to 1

I think this is because my mount has auxiliary encoders and I cannot see any option to disable them?
Any ideas?
By the way love the mosaic option in EKOS
Paul
2 months 2 weeks ago #84159

Please Log in or Create an account to join the conversation.

  • Posts: 28
  • Thank you received: 0
Hi guys
Done some testing and without an option to disable the auxiliary encoders, I can’t think of a way to perform the initial telescope align
Any ideas welcome
Paul
2 months 2 weeks ago #84171

Please Log in or Create an account to join the conversation.

  • Posts: 28
  • Thank you received: 0
Sorry bit slow this morning, there is a way
Suppose I want to align on Vega
1 goto Vega
2 Press clear model button
3 use arrow keys to align on Vega
4 press sync button

Sorry no testing tonight outside speaker at Astro Society

Regards
Paul
2 months 2 weeks ago #84173

Please Log in or Create an account to join the conversation.

  • Posts: 21
  • Thank you received: 0
The libev-dev part worked but update_indi_core still looks a bit weird:

stellarmate@stellarmate:~ $ sudo apt-get -y install libev-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
libev-dev is already the newest version (1:4.25-1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
stellarmate@stellarmate:~ $ update_indi_core
Already up to date.
make: *** No targets specified and no makefile found. Stop.
make: *** No rule to make target 'install'. Stop.
stellarmate@stellarmate:~ $
2 months 2 weeks ago #84175

Please Log in or Create an account to join the conversation.

Yes sorry, I'll improve the script to be more reliable on SM OS v1.7.2 release. At any rate, for now do this first:
rm -rf ~/Projects/build/indi*
update_indi_core
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
2 months 2 weeks ago #84184

Please Log in or Create an account to join the conversation.

Time to create page: 1.102 seconds